Bug 166493 - PATCH: add support for using environment vars in nash scripts
PATCH: add support for using environment vars in nash scripts
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mkinitrd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-22 10:41 EDT by bastiaan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds support for environment vars in nash scripts (329 bytes, text/plain)
2005-08-22 10:41 EDT, bastiaan
no flags Details

  None (edit)
Description bastiaan 2005-08-22 10:41:18 EDT
Description of problem: 
unlike nash 4.x, nash 3.5.x does not support using environment variables in its
scripts. Having support for environment vars would make it much easier to pass
kernel parameters to commands invoked in linuxrc.

Version-Release number of selected component (if applicable):
3.5.13.3-1

Additional info:
The attached patch is simply taken from nash 4.x code.
Comment 1 bastiaan 2005-08-22 10:41:18 EDT
Created attachment 117970 [details]
adds support for environment vars in nash scripts
Comment 2 RHEL Product and Program Management 2007-10-19 14:55:41 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.